commit:     6cc092f28fef97fb862eb85a51a49ecb0d64da5c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 11 17:07:20 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Dec 11 17:42:10 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6cc092f2

dev-python/hatchling: Bump to 1.19.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/hatchling/Manifest                |  1 +
 dev-python/hatchling/hatchling-1.19.0.ebuild | 86 ++++++++++++++++++++++++++++
 2 files changed, 87 insertions(+)

diff --git a/dev-python/hatchling/Manifest b/dev-python/hatchling/Manifest
index 3185ce5e3d2d..beb7688b5cfd 100644
--- a/dev-python/hatchling/Manifest
+++ b/dev-python/hatchling/Manifest
@@ -1 +1,2 @@
 DIST hatch-hatchling-v1.18.0.gh.tar.gz 386992 BLAKE2B 
9597d139ca0d59b82862a4b89208bf61ceb0859ed37e2f62c14f7f26550638716cd375082cae6ce0e233f92297b97015af5587144c2d801ecacdb15a07f32cf2
 SHA512 
e71e51fdace9b9aa276c2efba3a81a030ed934c21283057f83a6ce4a09f8feed8cd4386088280c9fe1381dd92e574daeda8c845a6a2cf6a015708126ca9788d7
+DIST hatch-hatchling-v1.19.0.gh.tar.gz 601176 BLAKE2B 
1625e8a3da1158328c5aba5fbec6282cd6603ad34ed48ec4fd2ca3e5bd79141f4bb98f631d50cf9796fb1cbbd1274e4948d0a535a65499f7d0209111c323f043
 SHA512 
eacbe002e5905468c4374c72dd53fdc5ab4b22d8ea0ce6ca56a12c6bf97b67d5d711dbbaa85cf1a11995fac9fe42c99cf870cb6a46705ea738081ec689ac6468

diff --git a/dev-python/hatchling/hatchling-1.19.0.ebuild 
b/dev-python/hatchling/hatchling-1.19.0.ebuild
new file mode 100644
index 000000000000..f041834d0884
--- /dev/null
+++ b/dev-python/hatchling/hatchling-1.19.0.ebuild
@@ -0,0 +1,86 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_TESTED=( pypy3 python3_{10..12} )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+
+inherit distutils-r1
+
+TAG=${P/-/-v}
+MY_P=hatch-${TAG}
+DESCRIPTION="Modern, extensible Python build backend"
+HOMEPAGE="
+       https://pypi.org/project/hatchling/
+       https://github.com/pypa/hatch/
+"
+SRC_URI="
+       https://github.com/pypa/hatch/archive/${TAG}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/backend
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos 
~x64-macos ~x64-solaris"
+
+# deps are listed in backend/src/hatchling/ouroboros.py
+RDEPEND="
+       >=dev-python/editables-0.3[${PYTHON_USEDEP}]
+       >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
+       >=dev-python/pathspec-0.10.1[${PYTHON_USEDEP}]
+       >=dev-python/pluggy-1.0.0[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               >=dev-python/tomli-1.2.2[${PYTHON_USEDEP}]
+       ' 3.10)
+       dev-python/trove-classifiers[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       ${RDEPEND}
+       test? (
+               $(python_gen_cond_dep '
+                       dev-python/atomicwrites[${PYTHON_USEDEP}]
+                       dev-python/click[${PYTHON_USEDEP}]
+                       dev-python/httpx[${PYTHON_USEDEP}]
+                       dev-python/platformdirs[${PYTHON_USEDEP}]
+                       dev-python/pytest-mock[${PYTHON_USEDEP}]
+                       dev-python/rich[${PYTHON_USEDEP}]
+                       dev-python/tomli-w[${PYTHON_USEDEP}]
+                       dev-python/virtualenv[${PYTHON_USEDEP}]
+               ' "${PYTHON_TESTED[@]}")
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+               einfo "Skipping tests on ${EPYTHON}"
+               return
+       fi
+
+       local -x EPYTEST_DESELECT=(
+               # these run pip to install stuff
+               tests/backend/dep/test_core.py::test_dependency_found
+               tests/backend/dep/test_core.py::test_extra_met
+               tests/backend/dep/test_core.py::test_extra_no_dependencies
+               tests/backend/dep/test_core.py::test_extra_unmet
+               tests/backend/dep/test_core.py::test_unknown_extra
+               tests/backend/dep/test_core.py::test_version_unmet
+               # broken if CARGO is set
+               
tests/backend/builders/test_app.py::TestBuildBootstrap::test_no_cargo
+       )
+
+       # top-level "tests" directory contains tests both for hatch
+       # and hatchling
+       cd "${WORKDIR}/${MY_P}" || die
+       local -x PYTHONPATH="src:${PYTHONPATH}"
+       # sigh; standalone test suites are overrated, right?
+       echo "__version__ = '${PV}'" > src/hatch/_version.py || die
+       # tests mock cargo subprocess call but the backend raises if CARGO
+       # is not set and shutil.which() can't find it
+       local -x CARGO=cargo
+       epytest tests/backend
+}

Reply via email to